interface IEventHandlers {
    handlers: EventListener[];
    handleEvent: EventListener;
    nextHandlers?: EventListener[];
}
declare type EventsMap<E extends string = string> = Record<E, IEventHandlers>;
export declare class TargetEventHandlers<E extends string = string> {
    target: EventTarget;
    events: EventsMap<E>;
    constructor(target: EventTarget);
    add(eventName: E, listener: EventListener, options?: boolean | AddEventListenerOptions): () => void;
    private getEventHandlers;
    private handleEvent;
}
export {};
